Bug 839898 - There should be note about entering IDN domains in whois.conf
There should be note about entering IDN domains in whois.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: whois (Show other bugs)
16
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 03:36 EDT by Petr Pisar
Modified: 2012-07-30 18:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: whois-5.0.17-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 839769
Environment:
Last Closed: 2012-07-30 18:22:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-07-13 03:36:26 EDT
+++ This bug was initially created as a clone of Bug #839769 +++

Description of problem:

It is not clear from /etc/whois.conf in which format should be IDN domains entered. This worked for me:

$ idn --help
...
-a, --idna-to-ascii      Convert to ACE according to IDNA (default mode)
...

$ idn -a امارات
xn--mgbaam7a8h

$ cat /etc/whois.conf
# whois configuration file
#
# This file can contain details of alternative whois servers to use if
# the compiled in servers are not suitable.  Each entry is a single
# text line and consists of a regular expression pattern to match and
# the whois server to be used for it, separated by blank space. 
#
# Eg: 
# \.nz$ nz.whois-servers.net
#
\.xn--mgbaam7a8h$ whois.aeda.net.ae


Version-Release number of selected component (if applicable):

whois-5.0.17-1

How reproducible:

Always

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:

Not obvious how to enter IDN in whois.conf

Expected results:

It should be - simple comment will be enough

Additional info:
Comment 1 Fedora Update System 2012-07-13 04:00:13 EDT
whois-5.0.17-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/whois-5.0.17-2.fc17
Comment 2 Fedora Update System 2012-07-13 04:01:00 EDT
whois-5.0.17-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/whois-5.0.17-2.fc16
Comment 3 Fedora Update System 2012-07-14 17:48:01 EDT
Package whois-5.0.17-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing whois-5.0.17-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10603/whois-5.0.17-2.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-30 18:22:52 EDT
whois-5.0.17-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-30 18:27:06 EDT
whois-5.0.17-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.